# Uses of Class
it.tdlight.jni.TdApi.ChatJoinRequest

## Uses of TdApi.ChatJoinRequest in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ChatJoinRequest
Modifier and Type
Field
Description
`TdApi.ChatJoinRequest`
TdApi.GetChatJoinRequests.`offsetRequest`
A chat join request from which to return next requests; pass null to get results from the beginning.
`TdApi.ChatJoinRequest`
TdApi.UpdateNewChatJoinRequest.`request`
Join request.
`TdApi.ChatJoinRequest[]`
TdApi.ChatJoinRequests.`requests`
List of the requests.
Constructors in it.tdlight.jni with parameters of type TdApi.ChatJoinRequest
Modifier
Constructor
Description
``
`ChatJoinRequests(int totalCount, TdApi.ChatJoinRequest[] requests)`
Contains a list of chat join requests.
``
`GetChatJoinRequests(long chatId, String inviteLink, String query, TdApi.ChatJoinRequest offsetRequest, int limit)`
Returns pending join requests in a chat.
``
`UpdateNewChatJoinRequest(long chatId, TdApi.ChatJoinRequest request, TdApi.ChatInviteLink inviteLink)`
A user sent a join request to a chat; for bots only.